Method: projects.locations.identityMappingStores.importIdentityMappings

ID 매핑 항목 목록을 ID 매핑 스토어로 가져옵니다.

HTTP 요청

POST https://discoveryengine.googleapis.com/v1alpha/{identityMappingStore=projects/*/locations/*/identityMappingStores/*}:importIdentityMappings

URL은 gRPC 트랜스코딩 문법을 사용합니다.

경로 매개변수

매개변수
identityMappingStore

string

필수 항목. ID 매핑 항목을 가져올 ID 매핑 스토어의 이름입니다. 형식: projects/{project}/locations/{location}/identityMappingStores/{identityMappingStore}

요청 본문

요청 본문에는 다음과 같은 구조의 데이터가 포함됩니다.

JSON 표현
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "inlineSource": {
    object (InlineSource)
  }
  // End of mutually exclusive fields.
}
필드
입력 소스입니다. 다음은 상호 배타적인 필드 목록입니다. 응답에서 필드는 최대 하나만 설정됩니다.
inlineSource

object (InlineSource)

ID 매핑 항목을 가져올 인라인 소스입니다.

상호 배타적인 필드의 끝입니다.

응답 본문

성공한 경우 응답 본문에 Operation의 인스턴스가 포함됩니다.

승인 범위

다음 OAuth 범위 중 하나가 필요합니다.

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

자세한 내용은 Authentication Overview에서 확인하세요.

IAM 권한

identityMappingStore 리소스에 대해서는 다음 IAM 권한이 필요합니다.

  • discoveryengine.identityMappingStores.importIdentityMappings

자세한 내용은 IAM 문서를 참고하세요.

InlineSource

ID 매핑 항목을 가져올 인라인 소스입니다.

JSON 표현
{
  "identityMappingEntries": [
    {
      object (IdentityMappingEntry)
    }
  ]
}
필드
identityMappingEntries[]

object (IdentityMappingEntry)

한 번에 최대 10,000개의 항목을 가져올 수 있습니다.